--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:19:50.429748664 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:19:50.442684995 -0400
@@ -2615,24 +2591,24 @@
 {
 	const char	*option;
 
-	if (strcmp(name->string_mb, NOCATGETS("DMAKE_GROUP")) == 0) {
-		option = NOCATGETS(" -g ");
-	} else if (strcmp(name->string_mb, NOCATGETS("DMAKE_MAX_JOBS")) == 0) {
-		option = NOCATGETS(" -j ");
-	} else if (strcmp(name->string_mb, NOCATGETS("DMAKE_MODE")) == 0) {
-		option = NOCATGETS(" -m ");
-	} else if (strcmp(name->string_mb, NOCATGETS("DMAKE_ODIR")) == 0) {
-		option = NOCATGETS(" -o ");
-	} else if (strcmp(name->string_mb, NOCATGETS("DMAKE_RCFILE")) == 0) {
-		option = NOCATGETS(" -c ");
-	} else if (strcmp(name->string_mb, NOCATGETS("PMAKE_MACHINESFILE")) == 0) {
-		option = NOCATGETS(" -M ");
-	} else if (strcmp(name->string_mb, NOCATGETS("DMAKE_OUTPUT_MODE")) == 0) {
-		option = NOCATGETS(" -x DMAKE_OUTPUT_MODE=");
-	} else if (strcmp(name->string_mb, NOCATGETS("SUN_MAKE_COMPAT_MODE")) == 0) {
-		option = NOCATGETS(" -x SUN_MAKE_COMPAT_MODE=");
+	if (strcmp(name->string_mb, "DMAKE_GROUP") == 0) {
+		option = " -g ";
+	} else if (strcmp(name->string_mb, "DMAKE_MAX_JOBS") == 0) {
+		option = " -j ";
+	} else if (strcmp(name->string_mb, "DMAKE_MODE") == 0) {
+		option = " -m ";
+	} else if (strcmp(name->string_mb, "DMAKE_ODIR") == 0) {
+		option = " -o ";
+	} else if (strcmp(name->string_mb, "DMAKE_RCFILE") == 0) {
+		option = " -c ";
+	} else if (strcmp(name->string_mb, "PMAKE_MACHINESFILE") == 0) {
+		option = " -M ";
+	} else if (strcmp(name->string_mb, "DMAKE_OUTPUT_MODE") == 0) {
+		option = " -x DMAKE_OUTPUT_MODE=";
+	} else if (strcmp(name->string_mb, "SUN_MAKE_COMPAT_MODE") == 0) {
+		option = " -x SUN_MAKE_COMPAT_MODE=";
 	} else {
-		fatal(catgets(catd, 1, 289, "Internal error: name not recognized in append_makeflags_string()"));
+		fatal(gettext("Internal error: name not recognized in append_makeflags_string()"));
 	}
 	Property prop = maybe_append_prop(name, macro_prop);
 	if( prop == 0 || prop->body.macro.value == 0 ||
@@ -2693,11 +2669,11 @@
 		if (!value) {
 			continue;
 		}
-		MBSTOWCS(wcs_buffer2, NOCATGETS("SHELL="));
+		MBSTOWCS(wcs_buffer2, "SHELL=");
 		if (IS_WEQUALN(name, wcs_buffer2, wslen(wcs_buffer2))) {
 			continue;
 		}
-		MBSTOWCS(wcs_buffer2, NOCATGETS("MAKEFLAGS="));
+		MBSTOWCS(wcs_buffer2, "MAKEFLAGS=");
 		if (IS_WEQUALN(name, wcs_buffer2, wslen(wcs_buffer2))) {
 			report_pwd = true;
 			/*
@@ -2720,7 +2696,7 @@
 		 * the child make will end up writing to the parent
 		 * directory's .make.state and clobbering them.
 		 */
-		MBSTOWCS(wcs_buffer2, NOCATGETS("SUNPRO_DEPENDENCIES"));
+		MBSTOWCS(wcs_buffer2, "SUNPRO_DEPENDENCIES");
 		if (IS_WEQUALN(name, wcs_buffer2, wslen(wcs_buffer2))) {
 			continue;
 		}
@@ -2868,11 +2844,11 @@
 				    (exists(default_target_to_build) > file_doesnt_exist)  */) {
 					if (posix) {
 						if (!commands_done) {
-							(void) printf(catgets(catd, 1, 293, "`%s' is updated.\n"),
+							(void) printf(gettext("`%s' is updated.\n"),
 						 		      default_target_to_build->string_mb);
 						} else {
 							if (no_action_was_taken) {
-								(void) printf(catgets(catd, 1, 294, "`%s': no action was taken.\n"),
+								(void) printf(gettext("`%s': no action was taken.\n"),
 						 			      default_target_to_build->string_mb);
 							}
 						}
@@ -2880,7 +2856,7 @@
 						default_target_to_build->stat.time = file_no_time;
 						if (!commands_done &&
 						    (exists(default_target_to_build) > file_doesnt_exist)) {
-							(void) printf(catgets(catd, 1, 295, "`%s' is up to date.\n"),
+							(void) printf(gettext("`%s' is up to date.\n"),
 								      default_target_to_build->string_mb);
 						}
 					}
@@ -2922,7 +2898,7 @@
 			gather_recursive_deps();
 			if (build_failed_seen) {
 				build_failed_ever_seen = true;
-				warning(catgets(catd, 1, 200, "Target `%s' not remade because of errors"),
+				warning(gettext("Target `%s' not remade because of errors"),
 					default_target_to_build->string_mb);
 			}
 			build_failed_seen = false;
@@ -2945,18 +2921,18 @@
 			    (exists(default_target_to_build) > file_doesnt_exist)  */) {
 				if (posix) {
 					if (!commands_done) {
-						(void) printf(catgets(catd, 1, 296, "`%s' is updated.\n"),
+						(void) printf(gettext("`%s' is updated.\n"),
 					 		      default_target_to_build->string_mb);
 					} else {
 						if (no_action_was_taken) {
-							(void) printf(catgets(catd, 1, 297, "`%s': no action was taken.\n"),
+							(void) printf(gettext("`%s': no action was taken.\n"),
 					 			      default_target_to_build->string_mb);
 						}
 					}
 				} else {
 					if (!commands_done &&
 					    (exists(default_target_to_build) > file_doesnt_exist)) {
-						(void) printf(catgets(catd, 1, 298, "`%s' is up to date.\n"),
+						(void) printf(gettext("`%s' is up to date.\n"),
 							      default_target_to_build->string_mb);
 					}
 				}
@@ -2970,15 +2946,15 @@
  */
 	if (!target_to_make_found) {
 		if (default_target_to_build == NULL) {
-			fatal(catgets(catd, 1, 202, "No arguments to build"));
+			fatal(gettext("No arguments to build"));
 		}
 		commands_done = false;
 		top_level_target = get_wstring(default_target_to_build->string_mb);
 		report_recursion(default_target_to_build);
 
 
-		if (getenv(NOCATGETS("SPRO_EXPAND_ERRORS"))){
-			(void) printf(NOCATGETS("::(%s)\n"),
+		if (getenv("SPRO_EXPAND_ERRORS")){
+			(void) printf("::(%s)\n",
 				      default_target_to_build->string_mb);
 		}
 
@@ -2987,7 +2963,7 @@
 		gather_recursive_deps();
 		if (build_failed_seen) {
 			build_failed_ever_seen = true;
-			warning(catgets(catd, 1, 203, "Target `%s' not remade because of errors"),
+			warning(gettext("Target `%s' not remade because of errors"),
 				default_target_to_build->string_mb);
 		}
 		build_failed_seen = false;
@@ -3008,18 +2984,18 @@
 		    (exists(default_target_to_build) > file_doesnt_exist)  */) {
 			if (posix) {
 				if (!commands_done) {
-					(void) printf(catgets(catd, 1, 299, "`%s' is updated.\n"),
+					(void) printf(gettext("`%s' is updated.\n"),
 				 		      default_target_to_build->string_mb);
 				} else {
 					if (no_action_was_taken) {
-						(void) printf(catgets(catd, 1, 300, "`%s': no action was taken.\n"),
+						(void) printf(gettext("`%s': no action was taken.\n"),
 							      default_target_to_build->string_mb);
 					}
 				}
 			} else {
 				if (!commands_done &&
 				    (exists(default_target_to_build) > file_doesnt_exist)) {
-					(void) printf(catgets(catd, 1, 301, "`%s' is up to date.\n"),
+					(void) printf(gettext("`%s' is up to date.\n"),
 						      default_target_to_build->string_mb);
 				}
 			}
@@ -3196,7 +3172,7 @@
 	char *	make_level_str = NULL;
 	int	make_level_val = 0;
 
-	make_level_str = getenv(NOCATGETS("MAKELEVEL"));
+	make_level_str = getenv("MAKELEVEL");
 	if(make_level_str) {
 		make_level_val = atoi(make_level_str);
 	}
@@ -3204,10 +3180,10 @@
 		mlev = (char*) malloc(MAXPATHLEN);
 	}
 	if(entering) {
-		sprintf(mlev, NOCATGETS("MAKELEVEL=%d"), make_level_val + 1);
+		sprintf(mlev, "MAKELEVEL=%d", make_level_val + 1);
 	} else {
 		make_level_val--;
-		sprintf(mlev, NOCATGETS("MAKELEVEL=%d"), make_level_val);
+		sprintf(mlev, "MAKELEVEL=%d", make_level_val);
 	}
 	putenv(mlev);
 
@@ -3215,24 +3191,24 @@
 		if(make_level_val <= 0) {
 			if(entering) {
 				sprintf( rcwd
-				       , catgets(catd, 1, 329, "dmake: Entering directory `%s'\n")
+				       , gettext("dmake: Entering directory `%s'\n")
 				       , get_current_path());
 			} else {
 				sprintf( rcwd
-				       , catgets(catd, 1, 331, "dmake: Leaving directory `%s'\n")
+				       , gettext("dmake: Leaving directory `%s'\n")
 				       , get_current_path());
 			}
 		} else {
 			if(entering) {
 				sprintf( rcwd
-				       , catgets(catd, 1, 333, "dmake[%d]: Entering directory `%s'\n")
+				       , gettext("dmake[%d]: Entering directory `%s'\n")
 				       , make_level_val, get_current_path());
 			} else {
 				sprintf( rcwd
-				       , catgets(catd, 1, 335, "dmake[%d]: Leaving directory `%s'\n")
+				       , gettext("dmake[%d]: Leaving directory `%s'\n")
 				       , make_level_val, get_current_path());
 			}
 		}
-		printf(NOCATGETS("%s"), rcwd);
+		printf("%s", rcwd);
 	}
 }
--- old/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:19:51.199401252 -0400
+++ new/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:19:51.215480193 -0400
@@ -45,6 +45,7 @@
 #include <mksh/misc.h>		/* enable_interrupt() */
 #include <stdarg.h>		/* va_list, va_start(), va_end() */
 #include <vroot/report.h>	/* SUNPRO_DEPENDENCIES */
+#include <libintl.h>
 
 
 #define MAXJOBS_ADJUST_RFE4694000
@@ -141,13 +142,13 @@
 
 	va_start(args, message);
 	(void) fflush(stdout);
-	(void) fprintf(stderr, catgets(catd, 1, 263, "make: Fatal error: "));
+	(void) fprintf(stderr, gettext("make: Fatal error: "));
 	(void) vfprintf(stderr, message, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
 	if (report_pwd) {
 		(void) fprintf(stderr,
-			       catgets(catd, 1, 156, "Current working directory %s\n"),
+			       gettext("Current working directory %s\n"),
 			       get_current_path());
 	}
 	(void) fflush(stderr);
@@ -160,10 +161,10 @@
 	if ((dmake_mode_type == parallel_mode) &&
 	    (parallel_process_cnt > 0)) {
 		(void) fprintf(stderr,
-			       catgets(catd, 1, 157, "Waiting for %d %s to finish\n"),
+			       gettext("Waiting for %d %s to finish\n"),
 			       parallel_process_cnt,
 			       parallel_process_cnt == 1 ?
-			       catgets(catd, 1, 158, "job") : catgets(catd, 1, 159, "jobs"));
+			       gettext("job") : gettext("jobs"));
 		(void) fflush(stderr);
 	}
 
@@ -200,13 +201,13 @@
 
 	va_start(args, message);
 	(void) fflush(stdout);
-	(void) fprintf(stderr, catgets(catd, 1, 265, "make: Warning: "));
+	(void) fprintf(stderr, gettext("make: Warning: "));
 	(void) vfprintf(stderr, message, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
 	if (report_pwd) {
 		(void) fprintf(stderr,
-			       catgets(catd, 1, 161, "Current working directory %s\n"),
+			       gettext("Current working directory %s\n"),
 			       get_current_path());
 	}
 	(void) fflush(stderr);
@@ -233,13 +234,13 @@
 	char			buf[128];
 
         if (time == file_doesnt_exist) {
-                return catgets(catd, 1, 163, "File does not exist");
+                return gettext("File does not exist");
         }
         if (time == file_max_time) {
-                return catgets(catd, 1, 164, "Younger than any file");
+                return gettext("Younger than any file");
         }
 	tm = localtime(&time.tv_sec);
-	strftime(buf, sizeof (buf), NOCATGETS("%c %Z"), tm);
+	strftime(buf, sizeof (buf), "%c %Z", tm);
         buf[127] = (int) nul_char;
         return strdup(buf);
 }
@@ -558,11 +559,11 @@
 	Name		dollar;
 
 	/* Load the cached_names struct */
-	MBSTOWCS(wcs_buffer, NOCATGETS(".BUILT_LAST_MAKE_RUN"));
+	MBSTOWCS(wcs_buffer, ".BUILT_LAST_MAKE_RUN");
 	built_last_make_run = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("@"));
+	MBSTOWCS(wcs_buffer, "@");
 	c_at = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(" *conditionals* "));
+	MBSTOWCS(wcs_buffer, " *conditionals* ");
 	conditionals = GETNAME(wcs_buffer, FIND_LENGTH);
 	/*
 	 * A version of make was released with NSE 1.0 that used
@@ -571,87 +572,87 @@
 	 * situation.  If the version number is changed from 1.0
 	 * it should go to 1.2.
 	 */
-	MBSTOWCS(wcs_buffer, NOCATGETS("VERSION-1.0"));
+	MBSTOWCS(wcs_buffer, "VERSION-1.0");
 	current_make_version = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".SVR4"));
+	MBSTOWCS(wcs_buffer, ".SVR4");
 	svr4_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".POSIX"));
+	MBSTOWCS(wcs_buffer, ".POSIX");
 	posix_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".DEFAULT"));
+	MBSTOWCS(wcs_buffer, ".DEFAULT");
 	default_rule_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("$"));
+	MBSTOWCS(wcs_buffer, "$");
 	dollar = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".DONE"));
+	MBSTOWCS(wcs_buffer, ".DONE");
 	done = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("."));
+	MBSTOWCS(wcs_buffer, ".");
 	dot = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".KEEP_STATE"));
+	MBSTOWCS(wcs_buffer, ".KEEP_STATE");
 	dot_keep_state = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".KEEP_STATE_FILE"));
+	MBSTOWCS(wcs_buffer, ".KEEP_STATE_FILE");
 	dot_keep_state_file = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(""));
+	MBSTOWCS(wcs_buffer, "");
 	empty_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(" FORCE"));
+	MBSTOWCS(wcs_buffer, " FORCE");
 	force = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("HOST_ARCH"));
+	MBSTOWCS(wcs_buffer, "HOST_ARCH");
 	host_arch = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("HOST_MACH"));
+	MBSTOWCS(wcs_buffer, "HOST_MACH");
 	host_mach = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".IGNORE"));
+	MBSTOWCS(wcs_buffer, ".IGNORE");
 	ignore_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".INIT"));
+	MBSTOWCS(wcs_buffer, ".INIT");
 	init = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".LOCAL"));
+	MBSTOWCS(wcs_buffer, ".LOCAL");
 	localhost_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".make.state"));
+	MBSTOWCS(wcs_buffer, ".make.state");
 	make_state = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("MAKEFLAGS"));
+	MBSTOWCS(wcs_buffer, "MAKEFLAGS");
 	makeflags = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".MAKE_VERSION"));
+	MBSTOWCS(wcs_buffer, ".MAKE_VERSION");
 	make_version = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".NO_PARALLEL"));
+	MBSTOWCS(wcs_buffer, ".NO_PARALLEL");
 	no_parallel_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".NOT_AUTO"));
+	MBSTOWCS(wcs_buffer, ".NOT_AUTO");
 	not_auto = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".PARALLEL"));
+	MBSTOWCS(wcs_buffer, ".PARALLEL");
 	parallel_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("PATH"));
+	MBSTOWCS(wcs_buffer, "PATH");
 	path_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("+"));
+	MBSTOWCS(wcs_buffer, "+");
 	plus = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".PRECIOUS"));
+	MBSTOWCS(wcs_buffer, ".PRECIOUS");
 	precious = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("?"));
+	MBSTOWCS(wcs_buffer, "?");
 	query = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("^"));
+	MBSTOWCS(wcs_buffer, "^");
 	hat = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".RECURSIVE"));
+	MBSTOWCS(wcs_buffer, ".RECURSIVE");
 	recursive_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".SCCS_GET"));
+	MBSTOWCS(wcs_buffer, ".SCCS_GET");
 	sccs_get_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".SCCS_GET_POSIX"));
+	MBSTOWCS(wcs_buffer, ".SCCS_GET_POSIX");
 	sccs_get_posix_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".GET"));
+	MBSTOWCS(wcs_buffer, ".GET");
 	get_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".GET_POSIX"));
+	MBSTOWCS(wcs_buffer, ".GET_POSIX");
 	get_posix_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("SHELL"));
+	MBSTOWCS(wcs_buffer, "SHELL");
 	shell_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".SILENT"));
+	MBSTOWCS(wcs_buffer, ".SILENT");
 	silent_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".SUFFIXES"));
+	MBSTOWCS(wcs_buffer, ".SUFFIXES");
 	suffixes_name = GETNAME(wcs_buffer, FIND_LENGTH);
 	MBSTOWCS(wcs_buffer, SUNPRO_DEPENDENCIES);
 	sunpro_dependencies = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("TARGET_ARCH"));
+	MBSTOWCS(wcs_buffer, "TARGET_ARCH");
 	target_arch = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("TARGET_MACH"));
+	MBSTOWCS(wcs_buffer, "TARGET_MACH");
 	target_mach = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("VIRTUAL_ROOT"));
+	MBSTOWCS(wcs_buffer, "VIRTUAL_ROOT");
 	virtual_root = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS("VPATH"));
+	MBSTOWCS(wcs_buffer, "VPATH");
 	vpath_name = GETNAME(wcs_buffer, FIND_LENGTH);
-	MBSTOWCS(wcs_buffer, NOCATGETS(".WAIT"));
+	MBSTOWCS(wcs_buffer, ".WAIT");
 	wait_name = GETNAME(wcs_buffer, FIND_LENGTH);
 
 	wait_name->state = build_ok;
@@ -682,9 +683,9 @@
 
 	/* Set the value of $(SHELL) */
 	if (posix) {
-	  MBSTOWCS(wcs_buffer, NOCATGETS("/usr/xpg4/bin/sh"));
+	  MBSTOWCS(wcs_buffer, "/usr/xpg4/bin/sh");
 	} else {
-	  MBSTOWCS(wcs_buffer, NOCATGETS("/bin/sh"));
+	  MBSTOWCS(wcs_buffer, "/bin/sh");
 	}
 	(void) SETVAR(shell_name, GETNAME(wcs_buffer, FIND_LENGTH), false);
 
@@ -706,9 +707,9 @@
 	/* Check if there is NO PATH variable. If not we construct one. */
 	if (getenv(path_name->string_mb) == NULL) {
 		vroot_path = NULL;
-		add_dir_to_path(NOCATGETS("."), &vroot_path, -1);
-		add_dir_to_path(NOCATGETS("/bin"), &vroot_path, -1);
-		add_dir_to_path(NOCATGETS("/usr/bin"), &vroot_path, -1);
+		add_dir_to_path(".", &vroot_path, -1);
+		add_dir_to_path("/bin", &vroot_path, -1);
+		add_dir_to_path("/usr/bin", &vroot_path, -1);
 	}
 }
 
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:19:51.672176175 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:19:51.684201344 -0400
@@ -46,6 +46,7 @@
 #include <sys/wait.h>
 #include <unistd.h>
 #include <netdb.h>
+#include <libintl.h>
 
 
 
@@ -131,14 +132,14 @@
 		if (local_host[0] == '\0') {
 			(void) gethostname(local_host, MAXNAMELEN);
 		}
-		MBSTOWCS(wcs_buffer, NOCATGETS("DMAKE_MAX_JOBS"));
+		MBSTOWCS(wcs_buffer, "DMAKE_MAX_JOBS");
 		dmake_name = GETNAME(wcs_buffer, FIND_LENGTH);
 		if (((prop = get_prop(dmake_name->prop, macro_prop)) != NULL) &&
 		    ((dmake_value = prop->body.macro.value) != NULL)) {
 			pmake_max_jobs = atoi(dmake_value->string_mb);
 			if (pmake_max_jobs <= 0) {
-				warning(catgets(catd, 1, 308, "DMAKE_MAX_JOBS cannot be less than or equal to zero."));
-				warning(catgets(catd, 1, 309, "setting DMAKE_MAX_JOBS to %d."), PMAKE_DEF_MAX_JOBS);
+				warning(gettext("DMAKE_MAX_JOBS cannot be less than or equal to zero."));
+				warning(gettext("setting DMAKE_MAX_JOBS to %d."), PMAKE_DEF_MAX_JOBS);
 				pmake_max_jobs = PMAKE_DEF_MAX_JOBS;
 			}
 		} else {
@@ -148,7 +149,7 @@
 			 * should parse the PMake startup file
 			 * $(HOME)/.make.machines to get the pmake_max_jobs.
 			 */
-			MBSTOWCS(wcs_buffer, NOCATGETS("PMAKE_MACHINESFILE"));
+			MBSTOWCS(wcs_buffer, "PMAKE_MACHINESFILE");
 			dmake_name = GETNAME(wcs_buffer, FIND_LENGTH);
 			if (((prop = get_prop(dmake_name->prop, macro_prop)) != NULL) &&
 			    ((dmake_value = prop->body.macro.value) != NULL)) {
@@ -322,9 +323,9 @@
 	char	*var;
 	key_t	key;
 
-	if ((var = getenv(NOCATGETS("__DMAKE_M2_FILE__"))) == 0) {
+	if ((var = getenv("__DMAKE_M2_FILE__")) == 0) {
 		/* compose tmp file name */
-		sprintf(m2_file, NOCATGETS("%s/dmake.m2.%d.XXXXXX"), tmpdir, getpid());
+		sprintf(m2_file, "%s/dmake.m2.%d.XXXXXX", tmpdir, getpid());
 
 		/* create tmp file */
 		int fd = mkstemp(m2_file);
@@ -366,7 +367,7 @@
 		}
 
 		/* put key to env */
-		sprintf(var, NOCATGETS("__DMAKE_M2_FILE__=%s"), m2_file);
+		sprintf(var, "__DMAKE_M2_FILE__=%s", m2_file);
 		if (putenv(var)) {
 			return -1;
 		}
@@ -481,10 +482,10 @@
 		job_adjust_fini();
 
 		/* warning message for the user */
-		warning(catgets(catd, 1, 339, "Encountered max jobs auto adjustment error - disabling auto adjustment."));
+		warning(gettext("Encountered max jobs auto adjustment error - disabling auto adjustment."));
 
 		/* switch off job adjustment for the children */
-		putenv(strdup(NOCATGETS("DMAKE_ADJUST_MAX_JOBS=NO")));
+		putenv(strdup("DMAKE_ADJUST_MAX_JOBS=NO"));
 
 		/* and for this dmake */
 		job_adjust_mode = ADJUST_NONE;
@@ -517,10 +518,10 @@
 		job_adjust_mode = ADJUST_M1;
 
 		/* determine adjust mode */
-		if (char *var = getenv(NOCATGETS("DMAKE_ADJUST_MAX_JOBS"))) {
-			if (strcasecmp(var, NOCATGETS("NO")) == 0) {
+		if (char *var = getenv("DMAKE_ADJUST_MAX_JOBS")) {
+			if (strcasecmp(var, "NO") == 0) {
 				job_adjust_mode = ADJUST_NONE;
-			} else if (strcasecmp(var, NOCATGETS("M2")) == 0) {
+			} else if (strcasecmp(var, "M2") == 0) {
 				job_adjust_mode = ADJUST_M2;
 			}
 		}
@@ -621,10 +622,10 @@
 		 * Print local_host --> x job(s).
 		 */
 		(void) fprintf(stdout,
-		               catgets(catd, 1, 325, "%s --> %d %s\n"),
+		               gettext("%s --> %d %s\n"),
 		               local_host,
 		               parallel_process_cnt + 1,
-		               (parallel_process_cnt == 0) ? catgets(catd, 1, 124, "job") : catgets(catd, 1, 125, "jobs"));
+		               (parallel_process_cnt == 0) ? gettext("job") : gettext("jobs"));
 
 		/* Print command line(s). */
 		tmp_index = 0;
@@ -645,7 +646,7 @@
 	}
 
 	(void) sprintf(mbstring,
-		        NOCATGETS("%s/dmake.stdout.%d.%d.XXXXXX"),
+		        "%s/dmake.stdout.%d.%d.XXXXXX",
 			tmpdir,
 		        getpid(),
 	                file_number++);
@@ -657,7 +658,7 @@
 
 	if (!out_err_same) {
 		(void) sprintf(mbstring,
-			        NOCATGETS("%s/dmake.stderr.%d.%d.XXXXXX"),
+			        "%s/dmake.stderr.%d.%d.XXXXXX",
 				tmpdir,
 			        getpid(),
 		                file_number++);
@@ -934,11 +935,11 @@
 	 */
 	if (quiescent) {
 		if (subtree_target == NULL) {
-			fatal(catgets(catd, 1, 126, "Internal error: deadlock detected in process_next"));
+			fatal(gettext("Internal error: deadlock detected in process_next"));
 		} else {
 			rp = *subtree_target;
 			if (debug_level > 0) {
-				warning(catgets(catd, 1, 127, "Conditional macro conflict encountered for %s between %s and %s"),
+				warning(gettext("Conditional macro conflict encountered for %s between %s and %s"),
 					subtree_conflict2->string_mb,
 					rp->target->string_mb,
 					subtree_conflict->string_mb);
@@ -1144,7 +1145,7 @@
 			;
 		}
 		if (rp == NULL) {
-			fatal(catgets(catd, 1, 128, "Internal error: returned child pid not in running_list"));
+			fatal(gettext("Internal error: returned child pid not in running_list"));
 		} else {
 			rp->state = (WIFEXITED(status) && WEXITSTATUS(status) == 0) ? build_ok : build_failed;
 		}
@@ -1218,7 +1219,7 @@
 			 */
 			if (rp->stdout_file != NULL) {
 				if (stat(rp->stdout_file, &out_buf) < 0) {
-					fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
+					fatal(gettext("stat of %s failed: %s"),
 					    rp->stdout_file,
 					    errmsg(errno));
 				}
@@ -1245,7 +1246,7 @@
 
 			if (!out_err_same && (rp->stderr_file != NULL)) {
 				if (stat(rp->stderr_file, &out_buf) < 0) {
-					fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
+					fatal(gettext("stat of %s failed: %s"),
 					    rp->stderr_file,
 					    errmsg(errno));
 				}
@@ -1271,7 +1272,7 @@
 				if (continue_after_error ||
 				    fatal_in_progress ||
 				    !docheck) {
-					warning(catgets(catd, 1, 256, "Command failed for target `%s'"),
+					warning(gettext("Command failed for target `%s'"),
 						rp->command ? line2->body.line.target->string_mb : rp->target->string_mb);
 					build_failed_seen = true;
 				} else {
@@ -1280,10 +1281,10 @@
 					 * but shouldn't call fatal().
 					 */
 #ifdef PRINT_EXIT_STATUS
-					warning(NOCATGETS("I'm in finish_children. rp->state == build_failed."));
+					warning("I'm in finish_children. rp->state == build_failed.");
 #endif
 
-					fatal(catgets(catd, 1, 258, "Command failed for target `%s'"),
+					fatal(gettext("Command failed for target `%s'"),
 						rp->command ? line2->body.line.target->string_mb : rp->target->string_mb);
 				}
 			}
@@ -1331,15 +1332,15 @@
 	int		out_fd = (err ? 2 : 1);
 
 	if ((fd = open(filename, O_RDONLY)) < 0) {
-		fatal(catgets(catd, 1, 141, "open failed for output file %s: %s"),
+		fatal(gettext("open failed for output file %s: %s"),
 		      filename,
 		      errmsg(errno));
 	}
 	if (!silent && output_mode != txt2_mode) {
 		(void) fprintf(err ? stderr : stdout,
 		               err ?
-				catgets(catd, 1, 338, "%s --> Job errors\n") :
-				catgets(catd, 1, 259, "%s --> Job output\n"),
+				gettext("%s --> Job errors\n") :
+				gettext("%s --> Job output\n"),
 		               local_host);
 		(void) fflush(err ? stderr : stdout);
 	}
@@ -1350,7 +1351,7 @@
 		 * Read buffers from the source file until end or error.
 		 */
 		if (write(out_fd, copybuf, chars_read) < 0) {
-			fatal(catgets(catd, 1, 260, "write failed for output file %s: %s"),
+			fatal(gettext("write failed for output file %s: %s"),
 			      filename,
 			      errmsg(errno));
 		}
@@ -1384,9 +1385,9 @@
 	recursion_level = rp->recursion_level;
 	if (result == build_ok) {
 		if (true_target == NULL) {
-			(void) printf(NOCATGETS("Target = %s\n"), target->string_mb);
-			(void) printf(NOCATGETS(" State = %d\n"), result);
-			fatal(NOCATGETS("Internal error: NULL true_target in finish_doname"));
+			(void) printf("Target = %s\n", target->string_mb);
+			(void) printf(" State = %d\n", result);
+			fatal("Internal error: NULL true_target in finish_doname");
 		}
 		/* If all went OK, set a nice timestamp */
 		if (true_target->stat.time == file_doesnt_exist) {
@@ -1416,7 +1417,7 @@
 							    auto_count,
 							    automatics)) {
 		if (debug_level > 0) {
-			(void) printf(catgets(catd, 1, 261, "%*sTarget `%s' acquired new dependencies from build, checking all dependencies\n"),
+			(void) printf(gettext("%*sTarget `%s' acquired new dependencies from build, checking all dependencies\n"),
 				      recursion_level,
 				      "",
 				      true_target->string_mb);
@@ -1784,7 +1785,7 @@
 	childPid = fork();
 	switch (childPid) {
 	case -1:	/* Error */
-		fatal(catgets(catd, 1, 337, "Could not fork child process for dmake job: %s"),
+		fatal(gettext("Could not fork child process for dmake job: %s"),
 		      errmsg(errno));
 		break;
 	case 0:		/* Child */
@@ -1837,7 +1838,7 @@
 			               (Name) NULL);
 			if (result == build_failed) {
 				if (silent_flag) {
-					(void) printf(catgets(catd, 1, 152, "The following command caused the error:\n%s\n"), command->string_mb);
+					(void) printf(gettext("The following command caused the error:\n%s\n"), command->string_mb);
 				}
 				if (!ignore) {
 					_exit(1);
--- old/usr/src/cmd/make/bin/pmake.cc	2015-05-20 12:19:52.226437571 -0400
+++ new/usr/src/cmd/make/bin/pmake.cc	2015-05-20 12:19:52.238246315 -0400
@@ -37,6 +37,7 @@
 #include <sys/types.h>
 #include <sys/utsname.h>
 #include <rpc/rpc.h>		/* host2netname(), netname2host() */
+#include <libintl.h>
 
 /*
  * Defined macros
@@ -98,16 +99,16 @@
 	struct utsname		uts_info;
 
 
-	MBSTOWCS(wcs_buffer, NOCATGETS("MAKE_MACHINES"));
+	MBSTOWCS(wcs_buffer, "MAKE_MACHINES");
 	MAKE_MACHINES = GETNAME(wcs_buffer, FIND_LENGTH);
 	/* Did the user specify a .make.machines file on the command line? */
 	default_make_machines = false;
 	if (make_machines_name == NULL) {
 		/* Try reading the default .make.machines file, in $(HOME). */
-		homedir = getenv(NOCATGETS("HOME"));
+		homedir = getenv("HOME");
 		if ((homedir != NULL) && (strlen(homedir) < (sizeof(mb_make_machines_path) - 16))) {
 			sprintf(mb_make_machines_path,
-			 NOCATGETS("%s/.make.machines"), homedir);
+			 "%s/.make.machines", homedir);
 			MBSTOWCS(make_machines_path, mb_make_machines_path);
 			make_machines_name = GETNAME(make_machines_path, FIND_LENGTH);
 			default_make_machines = true;
@@ -127,7 +128,7 @@
 	if ((make_machines_file = fopen(make_machines_name->string_mb, "r")) == NULL) {
 		if (!default_make_machines) {
 			/* Error opening .make.machines file. */
-			fatal(catgets(catd, 1, 314, "Open of %s failed: %s"),
+			fatal(gettext("Open of %s failed: %s"),
 			      make_machines_name->string_mb,
 			      errmsg(errno));
 		} else {
@@ -140,7 +141,7 @@
 	/* Stat the .make.machines file to get the size of the file.  */
 	} else if (fstat(fileno(make_machines_file), &make_machines_buf) < 0) {
 		/* Error stat'ing .make.machines file. */
-		fatal(catgets(catd, 1, 315, "Stat of %s failed: %s"),
+		fatal(gettext("Stat of %s failed: %s"),
 		      make_machines_name->string_mb,
 		      errmsg(errno));
 	} else {
@@ -161,7 +162,7 @@
 			 * Error reading .make.machines file.
 			 * Return 0 for PMake max jobs.
 			 */
-			warning(catgets(catd, 1, 316, "Unable to read %s"),
+			warning(gettext("Unable to read %s"),
 				make_machines_name->string_mb);
 			(void) fclose(make_machines_file);
 			retmem_mb((caddr_t) make_machines_list_mb);
@@ -174,7 +175,7 @@
 			  1 +
 			  make_machines_buf.st_size) = (int) nul_char;
 			if (putenv(make_machines_list_mb) != 0) {
-				warning(catgets(catd, 1, 317, "Couldn't put contents of %s in environment"),
+				warning(gettext("Couldn't put contents of %s in environment"),
 					make_machines_name->string_mb);
 			} else {
 				make_machines_list_mb += strlen(MAKE_MACHINES->string_mb) + 1;
@@ -238,7 +239,7 @@
 			 */
 			if ((wslen(mp) > MAX_HOSTNAMELEN) ||
 			    ((hp = gethostbyname(mbs_buffer)) == NULL)) {
-				warning(catgets(catd, 1, 318, "Ignoring unknown host %s"),
+				warning(gettext("Ignoring unknown host %s"),
 					mbs_buffer);
 				SKIPTOEND(ms);
 				/* Increment ptr if not end of file. */
@@ -274,7 +275,7 @@
 				/* If we get here, local_host is in .make.machines. */
 				if (c != '\n')  {
 					/* Now look for keyword 'max'. */
-					MBSTOWCS(wcs_buffer, NOCATGETS("max"));
+					MBSTOWCS(wcs_buffer, "max");
 					SKIPSPACE(ms);
 					while ((*ms != '\n') && (*ms)) {
 						if (*ms == '#') {
@@ -285,7 +286,7 @@
 							pmake_max_jobs = get_max(&ms, mp); 
 							SKIPSPACE(ms);
 						} else {
-							warning(catgets(catd, 1, 322, "unknown option for host %s"), mbs_buffer);
+							warning(gettext("unknown option for host %s"), mbs_buffer);
 							SKIPTOEND(ms);
 							break;
 						}
@@ -393,7 +394,7 @@
 	SKIPSPACE(ms);
 	if ((!*ms) || (*ms == '\n') || (*ms != '=')) {
 		SKIPTOEND(ms);
-		warning(catgets(catd, 1, 319, "expected `=' after max, ignoring rest of line for host %s"),
+		warning(gettext("expected `=' after max, ignoring rest of line for host %s"),
 			mbs_buffer);
 		*ms_address = ms;
 		return((int) limit);
@@ -405,11 +406,11 @@
 			limit = (int) wcstol(ms, &ms, 10);
 			if (limit < 1) {
 				limit = PMAKE_DEF_MAX_JOBS;
-				warning(catgets(catd, 1, 320, "max value cannot be less than or equal to zero for host %s"), mbs_buffer);
+				warning(gettext("max value cannot be less than or equal to zero for host %s"), mbs_buffer);
 			}
 		} else {
 			/* No "max" value after "max=". */
-			warning(catgets(catd, 1, 321, "no max value specified for host %s"), mbs_buffer);
+			warning(gettext("no max value specified for host %s"), mbs_buffer);
 		}
 		*ms_address = ms;
 		return(limit);
